EUCA-DESCRIBE-NETWORK-INTERFACES(1)

NAME
euca-describe-network-interfaces - Show information about VPC network interfaces

SYNOPSIS
euca-describe-network-interfaces [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID]
    [-S KEY] [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [INTERFACE [INTERFACE ...]]

DESCRIPTION
Show information about VPC network interfaces

  positional arguments:

INTERFACE
    limit results to specific network interfaces

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

addresses.private-ip-addresses
    the interface's private IP addresses

addresses.primary
    whether the private IP address is the network interface's primary IP address

addresses.association.public-ip
    association ID for the network interface's elastic IP address

addresses.association.owner-id
    owner ID of the addresses associated with the network interface

association.association-id
    association ID of the network interface's IP Address

association.allocation-id
    allocation ID of the network interface's elastic IP address

association.ip-owner-id
    owner ID of the network interface's elastic IP address

association.public-ip
    network interface's elastic IP address

association.public-dns-name
    network interface's public DNS name

attachment.attachment-id
    ID of the network interface's attachment

attachment.instance-id
    ID of the instance the network interface is attached to

attachment.instance-owner-id
    owner ID of the instance the network interface is attached to

attachment.device-index
    device index to which the network interface is attached

attachment.status
    attachment status (attaching, attached, detaching, detached)

attachment.attach.time
    time the network interface was attached

attachment.delete-on-termination
    whether the attachment will be deleted when the associated instance is terminated

availability-zone
    availability zone in which the network interface resides

description
    network interface's description

group-id
    ID of a security group associated with the network interface

group-name
    name of a security group associated with the network interface

mac-address
    MAC (hardware) address

network-interface-id
    ID of the network interface

owner-id
    account ID of the network interface's owner

private-ip-address
    the network interface's private address(es)

private-dns-name
    the network interface's private DNS name

requester-id
    ID of the entity that created the network interface

requester-managed
    whether the network interface is being managed by one of the cloud's services

source-dest-check
    whether the network interface's traffic is subject to source/destination address checking

status
    the interface's status (available, in-use)

subnet-id
    ID of the subnet in which the network interface resides

tag-key
    key of a tag assigned to the network interface

tag-value
    value of a tag assigned to the network interface

tag:KEY
    specific tag key/value combination

vpc-id
    ID of the VPC in which the network interface resides